% AC devre analizi programi
% Z empedansi uzerinden akan akimin grafigini cizer
clc; close all; clear all;

disp('AC devre analizi programi');

f=input('Gerilim kaynagi frekansi [Hz] ? = ');

Vmax=input('Gerilim kaynaginin max gerilimi [V] ? = ');

%Vfaz=input('Gerilim kaynaginin faz [derece] ? = ');
Vfaz=0;
Vfaz=Vfaz*pi/180; % birimi radyan

% Acisal frekans
w=2*pi*f; % rad/sn

% Periyot
T=1/f; % birimi sn

% Grafigi 0 ile 2T arasinda cizelim
zaman=0 : T/360 : 2*T;

% Gerilim grafigini cizelim
GerilimVektoru=Vmax*sin(2*pi*f*zaman+Vfaz); % Gerilim vekturu

% Devre elemanini secelim:
dongu=1;
while (dongu==1)
    secim=input('Elemanin numarasini girin (R[1], C[2], L[3]) ? = ');
    switch secim
        
        case 1
            R=input('Direnc degeri R [Ohm] ? = '); Z=R; dongu=0;
            baslik='Direncten akan akim grafigi';
       
        case 2
            C=input('Kondansator degeri C [Farad] ? = '); Z=1/(j*w*C); dongu=0;
            baslik='Kondansatorden akan akim grafigi';

        case 3
            L=input('Bobin degeri L [Henry] ? = '); Z=j*w*L; dongu=0;
            baslik='Bobinden akan akim grafigi';

            
    end
    if (dongu==1)
        disp('hatali giris yaptiniz !');
    end
end


% Akim hesabi
Akim=Vmax/Z; % Komplex bir sayi

AkimGenligi=abs(Akim);
AkimFazi=angle(Akim);

AkimVektoru=AkimGenligi*sin(2*pi*f*zaman+AkimFazi);

% Akim Gerilim grafigini cizelim
figure;
subplot(2,1,1); 
plot(zaman,GerilimVektoru);
grid; xlabel('zaman [sn]'); ylabel('Gerilim [V]');
title('V(t) grafigi')

subplot(2,1,2);
plot(zaman, AkimVektoru);
grid; xlabel('zaman [sn]'); ylabel('Akim [A]');
title(baslik);

























